Skip to main content
GET
/
affiliates
/
offers
/
{offerId}
/
productfeeds
/
{productFeedId}
Get Product Feed by ID
curl --request GET \
  --url https://api.eflow.team/v1/affiliates/offers/{offerId}/productfeeds/{productFeedId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "network_advertiser_product_feed_id": 123,
  "network_id": 123,
  "network_advertiser_id": 123,
  "name": "<string>",
  "status": "<string>",
  "file_asset_id": 123,
  "date_valid_from": 123,
  "date_valid_to": 123,
  "date_valid_timezone_id": 123,
  "time_created": 1734455015,
  "time_saved": 1734455015,
  "relationship": {
    "document_file_asset": {
      "network_asset_id": 123,
      "content_type": "<string>",
      "filename": "<string>",
      "url": "<string>",
      "file_size": 123,
      "image_width": 123,
      "image_height": 123,
      "optimized_thumbnail_url": "<string>"
    },
    "product_feed_items": [
      {
        "network_advertiser_product_feed_id": 123,
        "network_id": 123,
        "sku": "<string>",
        "name": "<string>",
        "description": "<string>",
        "url_link": "<string>",
        "url_link_mobile": "<string>",
        "image_url": "<string>",
        "image_url_mobile": "<string>",
        "price": "<string>",
        "brand": "<string>",
        "availability": "<string>",
        "date_valid_from": "<string>",
        "date_valid_to": "<string>"
      }
    ]
  }
}
Retrieve a specific product feed by its ID. Returns metadata about the product feed including name, status, validity dates, and the associated file asset. Use the relationship query parameter to include product feed items in the response.

Authorizations

X-Eflow-Api-Key
string
header
required

The affiliate's API key generated from the Affiliate Portal. Uses the X-Eflow-Api-Key header.

Path Parameters

offerId
integer
required

The numeric ID of the offer.

productFeedId
integer
required

The numeric ID of the product feed.

Query Parameters

relationship
enum<string>

Include related data. Use product_feed_item to include feed items.

Available options:
product_feed_item

Response

OK

When the relationship=product_feed_item query parameter is provided, the relationship object includes a product_feed_items array.

network_advertiser_product_feed_id
integer

Unique identifier for the product feed.

network_id
integer

Network ID.

network_advertiser_id
integer

ID of the advertiser that owns this product feed.

name
string

Name of the product feed.

status
string

Status of the product feed.

file_asset_id
integer

ID of the associated file asset.

date_valid_from
integer

Unix timestamp for the start of the validity period. 0 if not set.

date_valid_to
integer

Unix timestamp for the end of the validity period. 0 if not set.

date_valid_timezone_id
integer

Timezone ID for the validity dates.

time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015

relationship
object